Subject: [bug#67582] [PATCH gnome-team 2/4] gnu: Add python-dbus-python.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 03 Dec 2023 14:06:09 -0500

Hi,

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 03.12.2023 um 12:19 -0500 schrieb Maxim Cournoyer:
>> Hello,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > * gnu/packages/python-xyz.scm (python-dbus-python): New variable.
>> 
>> [...]
>> 
>> > +(define-public python-dbus-python
>> > +  (package
>> > +  (name "python-dbus-python")
>> > +  (version "1.3.2")
>> > +  (source
>> > +   (origin
>> > +     (method url-fetch)
>> > +     (uri (pypi-uri "dbus-python" version))
>> > +     (sha256
>> > +      (base32
>> > "1y28h90v2ib8zqhs3r2yr7ycg8ccwvw3gqkvadlm12v1129q2rxd"))))
>> > +  (build-system pyproject-build-system)
>> > +  (arguments
>> > +   (list #:phases #~(modify-phases %standard-phases
>> > +                      (add-after 'unpack 'patch-requirements
>> > +                        (lambda _
>> > +                          (substitute* (list "pyproject.toml"
>> > "setup.py")
>> > +                            (("'(ninja|patchelf)',?") ""))
>> > +                          (substitute* "setup.cfg"
>> > +                            (("(ninja|patchelf)") "")))))))
>> > +  (inputs (list dbus glib))
>> > +  (propagated-inputs (list python-pygobject))
>> > +  (native-inputs (list pkg-config
>> > +                       python-meson-python
>> > +                       meson ninja patchelf
>> > +                       python-sphinx python-sphinx-rtd-theme
>> > +                       python-tappy
>> > +                       python-wheel))
>> 
>> Is this 'guix style' produced?  The convention is to use:
>> 
>> (native-inputs
>>  (list one
>>        two
>>        ...))
>> 
>> When there are more than 5 inputs (or if they don't fit on a single
>> line).
> I manually grouped them by theme.

I see.  I'd still prefer the conventional sorted flat list, because the
next person touching it probably won't notice and break that logic.

-- 
Thanks,
Maxim